{# Copyright 2020 Karlsruhe Institute of Technology
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at
 #
 #     http://www.apache.org/licenses/LICENSE-2.0
 #
 # Unless required by applicable law or agreed to in writing, software
 # distributed under the License is distributed on an "AS IS" BASIS,
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and
 # limitations under the License. #}

{% extends "base.html" %}

{% block content %}
  <div class="row justify-content-center">
    <div class="col-lg-6">
      <div class="card">
        <div class="card-header">{% trans %}Confirm your email address{% endtrans %}</div>
        <div class="card-body">
          <p>
            {% trans trimmed %}
              Your registered email address <strong>{{ email }}</strong> needs to be confirmed before proceeding.
            {% endtrans %}
            {% trans trimmed %}
              If you have not received a confirmation email yet, please click the button below to resend it.
            {% endtrans %}
          </p>
          <hr>
          <submission-form>
            {{ render_csrf() }}

            <text-field :field="{{ json_field(form.email) }}"></text-field>
            <submit-field :field="{{ json_field(form.submit) }}"></submit-field>
          </submission-form>
        </div>
      </div>
    </div>
  </div>
{% endblock %}
